package com.lz.modules.flow.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.lz.common.utils.PageUtils;
import com.lz.modules.flow.entity.RecordFile;
import com.lz.modules.flow.req.ResultDetailReq;
import com.lz.modules.sys.entity.SysUserEntity;

/**
* <p>
* 文件上传表 服务类
* </p>
*
* @author quyixiao
* @since 2020-08-25
*/
public interface RecordFileService extends IService<RecordFile> {


	RecordFile selectRecordFileById(Long id);


	Long insertRecordFile(RecordFile recordFile);


	int updateRecordFileById(RecordFile recordFile);


	int updateCoverRecordFileById(RecordFile recordFile);


	int deleteRecordFileById(Long id);


	PageUtils queryPage(ResultDetailReq req, SysUserEntity user);

    int selectRecordFileCountByRecordId(Long recordId);
}